Page MenuHomePhabricator

Talk endpoint returns wrong etag
Closed, ResolvedPublic

Description

The talk endpoint retruns an etag in a wrong format:

curl -i https://appservice.wmflabs.org/en.wikipedia.org/v1/page/talk/Salt | grep etag:

Gives

etag: "[object Object]/fef2d770-a189-11e9-adba-e60bb6a79573"

Something went wrong with serialization it seems.

Event Timeline

Pchelolo created this task.Jul 8 2019, 2:12 PM

Change 521284 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/services/mobileapps@master] Fix Etag generation for the talk endpoint

https://gerrit.wikimedia.org/r/521284

Change 521284 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Fix Etag generation for the talk endpoint

https://gerrit.wikimedia.org/r/521284

Mentioned in SAL (#wikimedia-operations) [2019-07-09T17:26:37Z] <mholloway-shell@deploy1001> Started deploy [mobileapps/deploy@2a9d097]: Fix etag generation for the talk endpoint (T227481)

Mentioned in SAL (#wikimedia-operations) [2019-07-09T17:30:26Z] <mholloway-shell@deploy1001> Finished deploy [mobileapps/deploy@2a9d097]: Fix etag generation for the talk endpoint (T227481) (duration: 03m 49s)

Mholloway closed this task as Resolved.Jul 9 2019, 5:40 PM